Open SCAP Library: xccdf_result Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
xccdf_result Struct Reference
XCCDF

Actual results of running a XCCDF test or profile. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
struct xccdf_result * | xccdf_result_import_source (struct oscap_source *source)
| Import the content of oscap_source into a xccdf_result. More...
void | xccdf_result_fill_sysinfo (struct xccdf_result *result)
| Collect system info and store it in the TestResult.
int | xccdf_result_export (struct xccdf_result *result, const char *file)
| Export a TestResult to an XML stream. More...
struct oscap_source * | xccdf_result_export_source (struct xccdf_result *result, const char *filepath)
| Export TestResult to oscap_source structure. More...
struct xccdf_result * | xccdf_result_new (void)
void | xccdf_result_free (struct xccdf_result *item)
struct xccdf_item * | xccdf_result_to_item (struct xccdf_result *item)
struct xccdf_result * | xccdf_result_clone (const struct xccdf_result *result)
struct xccdf_score * | xccdf_result_calculate_score (struct xccdf_result *test_result, struct xccdf_item *benchmark, const char *score_system)
| Calculate new XCCDF Score for given xccdf:TestResult. More...
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
struct xccdf_rule_result * | xccdf_result_get_rule_result_by_id (struct xccdf_result *result, const char *id)
struct xccdf_benchmark * | xccdf_result_get_benchmark (const struct xccdf_result *item)
const char * | xccdf_result_get_id (const struct xccdf_result *item)
struct oscap_text_iterator * | xccdf_result_get_title (const struct xccdf_result *item)
const char * | xccdf_result_get_version (const struct xccdf_result *item)
struct oscap_string_iterator * | xccdf_result_get_platforms (const struct xccdf_result *item)
struct xccdf_status_iterator * | xccdf_result_get_statuses (const struct xccdf_result *item)
const char * | xccdf_result_get_test_system (const struct xccdf_result *item)
const char * | xccdf_result_get_benchmark_uri (const struct xccdf_result *item)
const char * | xccdf_result_get_profile (const struct xccdf_result *item)
struct xccdf_identity_iterator * | xccdf_result_get_identities (const struct xccdf_result *item)
struct oscap_string_iterator * | xccdf_result_get_targets (const struct xccdf_result *item)
struct oscap_string_iterator * | xccdf_result_get_target_addresses (const struct xccdf_result *item)
struct oscap_string_iterator * | xccdf_result_get_applicable_platforms (const struct xccdf_result *item)
struct oscap_string_iterator * | xccdf_result_get_organizations (const struct xccdf_result *item)
struct oscap_text_iterator * | xccdf_result_get_remarks (const struct xccdf_result *item)
struct xccdf_target_fact_iterator * | xccdf_result_get_target_facts (const struct xccdf_result *item)
struct xccdf_target_identifier_iterator * | xccdf_result_get_target_id_refs (const struct xccdf_result *item)
struct xccdf_setvalue_iterator * | xccdf_result_get_setvalues (const struct xccdf_result *item)
struct xccdf_rule_result_iterator * | xccdf_result_get_rule_results (const struct xccdf_result *item)
struct xccdf_score_iterator * | xccdf_result_get_scores (const struct xccdf_result *item)
const char * | xccdf_result_get_start_time (const struct xccdf_result *item)
const char * | xccdf_result_get_end_time (const struct xccdf_result *item)
struct oscap_string_iterator * | xccdf_result_get_metadata (const struct xccdf_result *result)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | xccdf_result_set_id (struct xccdf_result *item, const char *newval)
bool | xccdf_result_set_test_system (struct xccdf_result *item, const char *newval)
bool | xccdf_result_set_benchmark_uri (struct xccdf_result *item, const char *newval)
bool | xccdf_result_set_profile (struct xccdf_result *item, const char *newval)
bool | xccdf_result_set_start_time (struct xccdf_result *item, const char *newval)
bool | xccdf_result_set_end_time (struct xccdf_result *item, const char *newval)
bool | xccdf_result_set_version (struct xccdf_result *item, const char *newval)
bool | xccdf_result_add_metadata (struct xccdf_result *item, const char *metadata)
bool | xccdf_result_add_rule_result (struct xccdf_result *item, struct xccdf_rule_result *newval)
bool | xccdf_result_add_setvalue (struct xccdf_result *item, struct xccdf_setvalue *newval)
bool | xccdf_result_add_target_fact (struct xccdf_result *item, struct xccdf_target_fact *newval)
bool | xccdf_result_add_target_identifier (struct xccdf_result *item, struct xccdf_target_identifier *newval)
bool | xccdf_result_add_applicable_platform (struct xccdf_result *item, const char *newval)
bool | xccdf_result_add_remark (struct xccdf_result *item, struct oscap_text *newval)
bool | xccdf_result_add_organization (struct xccdf_result *item, const char *newval)
bool | xccdf_result_add_target (struct xccdf_result *item, const char *newval)
bool | xccdf_result_add_identity (struct xccdf_result *item, struct xccdf_identity *newval)
bool | xccdf_result_add_score (struct xccdf_result *item, struct xccdf_score *newval)
bool | xccdf_result_add_title (struct xccdf_result *item, struct oscap_text *newval)
bool | xccdf_result_add_target_address (struct xccdf_result *item, const char *newval)
int | xccdf_result_recalculate_scores (struct xccdf_result *result, struct xccdf_item *benchmark)

## Detailed Description

Actual results of running a XCCDF test or profile.

## Member Function Documentation

struct xccdf_score * xccdf_result_calculate_score | ( | struct xccdf_result * | test_result,
|  | struct xccdf_item * | benchmark,
|  | const char * | score_system
| ) |  |

Calculate new XCCDF Score for given xccdf:TestResult.

Parameters

  test_result | XCCDF TestResult
  benchmark | XCCDF Benchmark which is origin of given XCCDF TestResult
  score_system | Scoring Model URI as described in XCCDF standard.

The documentation for this struct was generated from the following files:

- xccdf_benchmark.h
- result_scoring_priv.h